%define version 2.28.0

%define major	1
%define api_version 2.6

%define glibmm_version	2.21.4
%define gtkmm_version	2.16.0
%define gconf_version	2.24.0

%define pkgname gconfmm
%define libname		%mklibname %pkgname %api_version %{major}
%define libname_orig	%mklibname %pkgname %api_version


Name:	 	%{pkgname}%{api_version}
Summary: 	A C++ interface for GConf library
Version: 	%version
Release: 	%mkrel 4
License: 	LGPL
Group:   	System/Libraries
Source:  	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
Patch0:		gconfmm-2.12.0-64bit-fixes.patch
URL:     	http://gtkmm.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libGConf2-devel >= %{gconf_version}
BuildRequires:	glibmm2.4-devel >= %{glibmm_version}
BuildRequires:	gtkmm2.4-devel >= %{gtkmm_version}
BuildRequires:	doxygen
Obsoletes:  %name < %version


%description
This package provides a C++ interface for GConf, a configuration data
storage mechanism to ship with GNOME.  It is a subpackage of the
gnomemm project, which provides a C++ interface for GNOME libraries.


%package	-n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
This package provides a C++ interface for GConf, a configuration data
storage mechanism to ship with GNOME.  It is a subpackage of the
gnomemm project, which provides a C++ interface for GNOME libraries.


%package	-n %{libname}-devel
Summary:	Headers and development files of GConf 2 C++ wrapper
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{libname}-devel
This package contains the headers and various development files needed,
when compiling or developing programs which want GConf 2 C++ wrapper.

%package	doc
Summary:	Documentation of %{pkgname} library
Group:		Documentation

%description doc
This package provides API documentation of %{pkgname} library.


%prep
%setup -q -n %pkgname-%version
%patch0 -p1 -b .64bit-fixes

%build
%configure2_5x --enable-static
%make 

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot/%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc COPYING.LIB
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.so

%files doc
%defattr(-, root, root)
%doc docs/reference/html

%changelog
* Wed Sep 20 2017 bb2 <bb2> - 2.28.0-4pclos2017
- rebuild against updates

* Tue Nov 05 2013 billybot <billybot> 2.28.0-3pclos2013
- rebuild for new pcre
- convert source to tar.xz
- remove .la files

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- system rebuild

* Wed Oct 07 2009 slick50 <lxgator@gmail.com> 2.28.0-1pclos2010
- 2.28.0

* Mon Oct 27 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.24.0-1pclos2007
- New version 2.24.0

* Thu Dec 06 2007 Texstar <texstar@gmail.com> 2.20.0-1pclos2007
- 2.20.0

* Sat Nov 04 2006 Texstar <texstar@houston.rr.com> 2.16.0-2pclos2007
- Build for PCLinuxOS 2007

